Get schema version

Gets a specific version of a schema in a schema group.

Request

Method Request URI
GET https://{eventhubNamespace}.servicebus.windows.net/$schemagroups/{schemaGroup}/schemas/{schemaName}/versions/{schemaVersionNumber}

Request headers

Set content-type to application/json. Set authorization header as shown in the Get a Microsoft Entra token article.

Response

The response includes an HTTP status code, a set of response headers, and a response body.

Response Codes

Code Description
200 Success
401 Authorization failure
500 Internal error.

Response Body

If the request is successful, body of the schema is returned. If the request isn't successful, the body contains an error code and error message.

Example for a successful response

{
    "$id": "https://example.com/blog-post.schema.json",
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "description": "A representation of a blog post",
    "type": "object",
    "required": [
        "title",
        "content",
        "author"
    ],
    "properties": {
        "title": {
            "type": "string"
        },
        "content": {
            "type": "string"
        },
        "publishedDate": {
            "type": "string",
            "format": "date-time"
        },
        "author": {
            "$ref": "https://example.com/user-profile.schema.json"
        },
        "tags": {
            "type": "array",
            "items": {
                "type": "string"
            }
        }
    }
}

Examples for 401 failure response

{
    "error": {
        "code": "ErrorInRequest",
        "message": "Generic:.TrackingId:fe0fc29b-a960-4734-9044-c9ab991329ef_G0,SystemTracker: {eventhubNamespace}.servicebus.windows.net:$schemagroups,Timestamp:{timestamp}"
    }
}

Example for 500 failure response

{
    "error": {
        "code": "InternalServerError",
        "message": "TrackingId:df04a6d0-8cb8-49ea-95ce-1765429b7d04_G0,SystemTracker: {eventhubNamespace}.servicebus.windows.net:$schemagroups,Timestamp:{timestamp}"
    }
}